package com.sf.di.service.impl;


import com.sf.di.mapper.TeacherMapper;
import com.sf.di.service.TeacherService;

/**
 * @author WanJl
 * @version 1.0
 * @title TeacherServiceImpl
 * @description
 * @create 2025/11/30
 */
public class TeacherServiceImpl implements TeacherService {
    //要依赖的teacherMapper对象
    TeacherMapper teacherMapper;
    /*
        采用setter方法注入---引用类型
     */
    public void setTeacherMapper(TeacherMapper teacherMapper) {
        this.teacherMapper = teacherMapper;
    }



    @Override
    public void servicePrint() {
        System.out.println("servicePrint.....");
        teacherMapper.mapperPrint();
    }
}
